summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSebastien Estienne <sebastien.estienne@gmail.com>2005-09-18 08:37:40 +0000
committerSebastien Estienne <sebastien.estienne@gmail.com>2005-09-18 08:37:40 +0000
commit643d3dc366437025d76b99ad9928834a6856a898 (patch)
tree748c7232cb22b4b26f1606ad05528195f54003ce
parent7b771b3f042669e5d763864dd69560c4e2a5bb8d (diff)
add autogen.sh for testing
git-svn-id: file:///home/lennart/svn/public/service-discovery-applet/trunk@14 3be567f1-68ff-0310-b24a-ad7cc433fd2f
-rwxr-xr-xautogen.sh30
-rw-r--r--configure.ac1
2 files changed, 31 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..3908e60
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+REQUIRED_AUTOMAKE_VERSION=1.9
+
+# This is a bit complicated here since we can't use gnome-config yet.
+# It'll be easier after switching to pkg-config since we can then
+# use pkg-config to find the gnome-autogen.sh script.
+
+gnome_autogen=
+gnome_datadir=
+
+ifs_save="$IFS"; IFS=":"
+for dir in $PATH ; do
+ test -z "$dir" && dir=.
+ if test -f $dir/gnome-autogen.sh ; then
+ gnome_autogen="$dir/gnome-autogen.sh"
+ gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'`
+ break
+ fi
+done
+IFS="$ifs_save"
+
+if test -z "$gnome_autogen" ; then
+ echo "You need to install the gnome-common module and make"
+ echo "sure the gnome-autogen.sh script is in your \$PATH."
+ exit 1
+fi
+
+GNOME_DATADIR="$gnome_datadir" USE_GNOME2_MACROS=1 . $gnome_autogen
diff --git a/configure.ac b/configure.ac
index 7adf226..7e6ea22 100644
--- a/configure.ac
+++ b/configure.ac
@@ -2,6 +2,7 @@ AC_PREREQ(2.59)
AC_INIT([service-discovery-applet],[0.1],[sebastien (dot) estienne (at) gmail (dot) com])
AC_CONFIG_SRCDIR([src/service-discovery-applet.in])
AM_INIT_AUTOMAKE([foreign 1.9 -Wall])
+AC_CONFIG_MACRO_DIR([common])
AC_SUBST(VERSION)